/service/reports/profile-report/

ProfileReport ViewSet.

POST /profile-report/ accepts either object or an array of objects
e.g. {profile_id: 1, report_id: 1}
OR [{profile_id: 1, report_id: 1}, {profile_id: 1, report_id: 2}, ... ]
Bulk actions can only be taken for single profile at a time.

Query Params
boolean
profile_id
array of uuids

Multiple values may be separated by commas.

profile_id
report_id
array of uuids

Multiple values may be separated by commas.

report_id
report_type
array of strings
  • standard - Standard
  • trait - Trait
  • gene - Gene
  • combined - Combined
  • aggregate - Aggregate
report_type
Allowed:
integer
enum

Report Status 0 = Processing, 1 = Completed, -1 = Failed.

Allowed:
Response

Language
Credentials
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json